BLK_ADD_REQUEST_PAYL(9)

NAME
blk_add_request_payload - add a payload to a request

SYNOPSIS

void blk_add_request_payload(struct request * rq, struct page * page, unsigned int len);

ARGUMENTS

rq
    request to update

page
    page backing the payload

len
    length of the payload.

DESCRIPTION

This allows to later add a payload to an already submitted request by a block driver. The driver needs to take care of freeing the payload itself.

Note that this is a quite horrible hack and nothing but handling of discard requests should ever use it.

COPYRIGHT